Query

## Functions

template<typename Visitor>
void | geos::index::strtree::TemplateSTRtreeImpl< ItemType, BoundsTraits >::query (const BoundsType &queryEnv, Visitor &&visitor)
template<typename Visitor>
void | geos::index::strtree::TemplateSTRtreeImpl< ItemType, BoundsTraits >::queryPairs (Visitor &&visitor)
void | geos::index::strtree::TemplateSTRtreeImpl< ItemType, BoundsTraits >::query (const BoundsType &queryEnv, std::vector< ItemType > &results)
Items | geos::index::strtree::TemplateSTRtreeImpl< ItemType, BoundsTraits >::items ()
template<typename F>
void | geos::index::strtree::TemplateSTRtreeImpl< ItemType, BoundsTraits >::iterate (F &&func)

## Detailed Description

## Function Documentation

## items()

template<typename ItemType, typename BoundsTraits>

Items geos::index::strtree::TemplateSTRtreeImpl< ItemType, BoundsTraits >::items | ( |  | ) |

inline

Returns a depth-first iterator over all items in the tree.

References build().

## iterate()

template<typename ItemType, typename BoundsTraits>
template<typename F>

void geos::index::strtree::TemplateSTRtreeImpl< ItemType, BoundsTraits >::iterate | ( | F && | func | ) |

inline

Iterate over all items added thus far. Explicitly does not build the tree.

References built().